Eclipse Foundation Member
Jaspersoft Studio

Add this URL to your Eclipse Installation to reach this solution's update site.

Neon (4.6)
Mars (4.5)
Luna (4.4)
Kepler (4.3)


Learn more...

Details Group Tabs

rdesouzab5r's picture

Is there any date to release an install of plug-in for Eclipse Oxygen?

dforveille's picture

Installation of the jasper studio eclipse plugin v6.4.0 fails with a fresh install of eclipse v4.7.0 / EE

The causes seems to be the version of  the 2 nebula components embedded in the eclipse plugin bundle that require an old version of SWT

i managed to install the jasper studio v6.4.0 plugin by manually install the latest version (v1.3.0) of the 2 nebula components referenced in the jasper plugin, and then to remove all the reference to those components in the jasper plugin v6.4.0 bundle

Please build a new version of the plugin with the nebula components to the latest version (or remove them from teh bundle..)

Thanks

 

 

aavec's picture

Cannot complete the install because one or more required items could not be found.
  Software being installed: Jaspersoft Studio feature 6.3.1.final (com.jaspersoft.studio.feature.feature.group 6.3.1.final)
  Missing requirement: org.eclipse.nebula.cwt 0.9.0.201603302103 requires 'package org.eclipse.swt.internal.theme 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: Jaspersoft Studio feature 6.3.1.final (com.jaspersoft.studio.feature.feature.group 6.3.1.final)
    To: net.sf.jasperreports.feature.feature.group [6.3.1.final]
  Cannot satisfy dependency:
    From: Jaspersoft Studio Required Additional Bundles 1.0.6 (com.jaspersoft.studio.foundation.bundles.feature.group 1.0.6)
    To: org.eclipse.nebula.cwt.feature.feature.group [0.9.0.201603302103]
  Cannot satisfy dependency:
    From: JasperReports Feature 6.3.1.final (net.sf.jasperreports.feature.feature.group 6.3.1.final)
    To: com.jaspersoft.studio.foundation.bundles.feature.group [1.0.6]
  Cannot satisfy dependency:
    From: Custom Widget Toolkit 0.9.0.201603302103 (org.eclipse.nebula.cwt.feature.feature.group 0.9.0.201603302103)
    To: org.eclipse.nebula.cwt [0.9.0.201603302103]

aallvarellos's picture

Same problem here. The standalone version is working fine.

ztorresddd's picture

I have the same problem,but not found resolvtion

avrn's picture

!MESSAGE Unable to read repository at sourceforge.net/projects/jasperstudio/files/updatesite/content.xml.

!MESSAGE Connection to sourceforge.net/projects/jasperstudio/files/updatesite/p2.index failed on Received fatal alert: handshake_failure. Retry attempt 0 started

mrabbi's picture

Hi,
unfortunately there are issues with the Sourceforge hosting. Please give a look at the following troubleshooting article: http://community.jaspersoft.com/wiki/solving-installation-and-update-err...
In your case I think it should be enough to update the JCE policies part.

Best regards,
Massimo.

blawson's picture

I have tried to install through Market Place, drag and drop and pasting the URL as suggested. I still can not get it to install. Any ideas or suggestions would be appreciated.

jclemonsjohnson's picture

Looks like the jasperstudio sourceforge updates page is down, and it is unable to install as a result

mrabbi's picture

Hi, try to add manually the URL for the latest version: http://sourceforge.net/projects/jasperstudio/files/updatesite/6.3.1/
I also added this details in the product description, hoping this can help other users.
Unfortunately there are similar kind of issues with SourceForge hosting from time to time.

Regards,
Massimo.

blawson's picture

I tried manually adding the URL, I have tried dragging and dropping and I have tried the marketplace. Any other suggestions?

mrabbi's picture

Please try to give a look at the following troubleshooting article: http://community.jaspersoft.com/wiki/solving-installation-and-update-err...
There are a bunch of issues with the Jaspersoft Studio hosting. Please as described be sure to have the latest JRE/JDK and to update the Java JCE policies.

Best regards,
Massimo.

mrabbi's picture

I checked and the http url for 6.3.1 (last version available) is working fine for me. Just in case give it a try going to the website in Sourceforge and download the "full-site.zip" package. You should be able to install locally adding the archive update site from the installation dialog.

Regards,
Massimo.

mthiga's picture

When is the official neon version release date?

mrabbi's picture

Neon support was fixed with last version 6.3.1 that you can grab from today.
Best regards,
Massimo.

mthiga's picture

@Massimo Rabbi, thank you. Downloading it ASAP.

ktangdvg's picture

I have been using iReport for the past 5 years as my main report development tool for JasperReports. I was quite hesitant on switching to Jaspersoft Studio at first. As the Studio seems to be fairly complete and has matured over the past year I gave it another try, and frankly, I am impressed. All functionality I am familiar with is available in either a similar or better way, the UI is intuitive, the tool runs stable. After just a few days with Jaspersoft Studio I now consider retiring iReport and completely switching. The concept of data adapters, project workspaces and the ability to use it together with my java development environment just works out nicely. Well done!